#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	hdf5
Version		:	1.13.2
Release		:	14.8.0.0%{?dist}
Summary		:	General purpose library and file format for storing scientific data

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/HDFGroup/hdf5/

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	time
BuildRequires	:	zlib-devel

Requires	:	zlib
Requires	:	bash
#-----------------------------------------------------------------------------
%description
HDF5 is a general purpose library and file format
for storing scientific data.
HDF5 can store two primary objects: datasets and groups.
A dataset is essentially a multidimensional array of
data elements, and a group is a structure for
organizing objects in an HDF5 file. Using these two basic
objects, one can create and store almost any kind of
scientific data structure, such as images, arrays of
vectors, and structured and unstructured grids.
You can also mix and match them in HDF5 files according
to your needs.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md release_docs/RELEASE.txt
%doc release_docs/HISTORY*.txt
%license COPYING
%{_bindir}/gif2h5
%{_bindir}/h52gif
%{_bindir}/h5clear
%{_bindir}/h5copy
%{_bindir}/h5debug
%{_bindir}/h5delete
%{_bindir}/h5diff
%{_bindir}/h5dump
%{_bindir}/h5format_convert
%{_bindir}/h5import
%{_bindir}/h5jam
%{_bindir}/h5ls
%{_bindir}/h5mkgrp
%{_bindir}/h5perf_serial
%{_bindir}/h5repack
%{_bindir}/h5repart
%{_bindir}/h5stat
%{_bindir}/h5unjam
%{_bindir}/h5watch
%{_libdir}/lib%{name}*.so.3*
%{_libdir}/lib%{name}*.settings
%{_datadir}/%{name}_examples/README
%{_datadir}/%{name}_examples/run-all-ex.sh
%{_datadir}/%{name}_examples/c/run-c-ex.sh
%{_datadir}/%{name}_examples/c/*.c
%{_datadir}/%{name}_examples/c++/run-c++-ex.sh
%{_datadir}/%{name}_examples/c++/*.cpp
%{_datadir}/%{name}_examples/hl/run-hl-ex.sh
%{_datadir}/%{name}_examples/hl/c++/*
%{_datadir}/%{name}_examples/hl/c/*.c
%{_datadir}/%{name}_examples/hl/c/pal_rgb.h
%{_datadir}/%{name}_examples/hl/c/*.txt
%{_datadir}/%{name}_examples/hl/c/*.sh

#=============================================================================
%package		devel
Summary		:	HDF5 development files

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}
Requires	:	zlib-devel

#-----------------------------------------------------------------------------
%description		devel
HDF5 development headers and libraries.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_bindir}/h5c++*
%{_bindir}/h5cc*
%{_bindir}/h5redeploy
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}*.so
#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
%build

%{__mkdir} bld

(
cd bld
../configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}/%{name}		\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--disable-static				\
	--disable-sharedlib-rpath			\
	--enable-build-mode=production			\
	--enable-cxx					\
	--with-pic 					\
	--with-zlib 					\
	--with-szlib 					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{?_smp_mflags}
)

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C bld						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
